# Gimp.Gradient.segment_get_coloring_type

    @accepts(Gimp.Gradient, int, Gimp.GradientSegmentColor)
    @returns(bool)
    def segment_get_coloring_type(self, segment, coloring_type):
        # Python wrapper for gimp_gradient_segment_get_coloring_type()

Gets the gradient segment's coloring type

Gets the coloring type of the segment at the index. Returns an error when the segment index is out of range.

Since 2.2

self

  The gradient.

segment

  The index of a segment within the gradient.

coloring_type

  The coloring type of the segment.

Returns